
FreeNAS - Bug #54063

Properly migrate system dataset on export

10/26/2018 07:17 AM - Waqar Ahmed

Status: Done   

Priority: No priority   

Assignee: William Grzybowski   

Category: Middleware   

Target version: 11.3-ALPHA1   

Seen in: Master - FreeNAS Nightlies Needs Merging: No

Severity: Medium Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

If a volume has systemdatasets in it, we are unable to detach it successfully specifying destroy disks = True. It results in `Device

Busy` traceback which comes from the delete function in zfs plugin. I suspect that the systemdatasets haven't moved to another

suitable place ( vol or freenas-boot ) and we don't set force to True when using delete funciton.

Risk

We risk breaking creation/deletion of volumes

Acceptance Criteria

A volume should be made and it should be ensured that it contains the system datasets by using `zfs list` command which will show

the system datasets and in which volume they are. Once it has been confirmed that they exist in that volume, that volume should be

detached while setting mark disks as new to True. If it succeeds, we can mark it as accepted. ( William please update as necessary )

Associated revisions

Revision d2050563 - 10/26/2018 12:17 PM - William Grzybowski 

fix(middlewared/pool): properly migrate system dataset on export

Ticket: #54063

Revision 15d1865c - 10/26/2018 12:19 PM - William Grzybowski 

fix(middlewared/pool): properly migrate system dataset on export

Ticket: #54063

Revision c9b4a185 - 10/26/2018 12:33 PM - William Grzybowski 

fix(middlewared/pool): properly migrate system dataset on export

Ticket: #54063

Revision 26b3217b - 10/26/2018 01:28 PM - William Grzybowski 

fix(middlewared/pool): properly migrate system dataset on export

Ticket: #54063
Revision dd5666bb - 10/26/2018 01:42 PM - William Grzybowski 

fix(middlewared/pool): properly migrate system dataset on export

Ticket: #54063

History

#1 - 10/26/2018 07:18 AM - William Grzybowski

- Status changed from Unscreened to Not Started

- Severity changed from New to Medium

#2 - 10/26/2018 12:18 PM - Bug Clerk

- Status changed from Not Started to In Progress

#3 - 10/26/2018 01:42 PM - Bug Clerk

- Status changed from In Progress to Ready for Testing

PR: https://github.com/freenas/freenas/pull/1985

#4 - 10/27/2018 12:20 PM - Dru Lavigne

- Subject changed from Unable to detach a volume specifying destroy=True when it has sytemdatasets to Properly migrate system dataset on export

- Needs Doc changed from Yes to No

- Needs Merging changed from Yes to No

#5 - 01/21/2019 11:01 AM - Dru Lavigne

- Target version changed from 11.3 to 11.3-BETA1

#9 - 03/12/2019 01:12 PM - Zackary Welch

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

Confirmed fixed in 11.3-BETA1.

#10 - 03/13/2019 07:30 AM - Dru Lavigne

- Status changed from Passed Testing to Done

#11 - 04/02/2019 08:21 AM - Dru Lavigne

- Target version changed from 11.3-BETA1 to 11.3-ALPHA1
